package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("完结率/达成率报表数据MODEL")
public class SxCompleteRateDetailModel implements Serializable {

    private static final long serialVersionUID = 3984271272610077289L;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("系别")
    public String isDont;

    @ApiParam("班别")
    public String dontClass;

    @ApiParam("产品类别")
    private String categoryCode3;

    @ApiParam("产品类别名称")
    private String categoryCode3Name;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作中心名称")
    private String workCenterName;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("计划")
    private Double planQty;

    @ApiParam("实绩")
    private Double qty;

    @ApiParam("达成率")
    private String attainmentRate;

    @ApiParam("完结率")
    private String completeRate;

    public SxCompleteRateDetailModel() {}

    public SxCompleteRateDetailModel(String workTime, String categoryCode3, String categoryCode3Name) {
        this.workTime = workTime;
        this.categoryCode3 = categoryCode3;
        this.categoryCode3Name = categoryCode3Name;
    }

    public SxCompleteRateDetailModel isDont(String isDont) {
        this.isDont = isDont;
        return this;
    }

    public SxCompleteRateDetailModel dontClass(String dontClass) {
        this.dontClass = dontClass;
        return this;
    }

    public SxCompleteRateDetailModel partNo(String partNo, String partNameRdd) {
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        return this;
    }

    public SxCompleteRateDetailModel workCenterCode(String workCenterCode, String workCenterName) {
        this.workCenterCode = workCenterCode;
        this.workCenterName = workCenterName;
        return this;
    }

    public SxCompleteRateDetailModel planQty(Double planQty) {
        this.planQty = planQty;
        return this;
    }

    public SxCompleteRateDetailModel qty(Double qty) {
        this.qty = qty;
        return this;
    }

    public SxCompleteRateDetailModel attainmentRate(String attainmentRate) {
        this.attainmentRate = attainmentRate;
        return this;
    }

    public SxCompleteRateDetailModel completeRate(String completeRate) {
        this.completeRate = completeRate;
        return this;
    }

}
